This package has been deprecated

    Author message:

    this package has been deprecated

    @modyo/eslint-config-modyo

    2.0.1 • Public • Published

    eslint-config-modyo

    This package includes the shareable ESLint configuration used by Modyo CLI.

    Usage in Modyo CLI Projects

    The easiest way to use this configuration is with Modyo CLI, which includes it by default.

    Usage Outside of Modyo CLI Project

    First, install this package, ESLint and the necessary plugins.

    With npm:

    npm install --save-dev eslint-config-react-app babel-eslint@^7.2.3 eslint@^4.1.1 eslint-plugin-flowtype@^2.34.1 eslint-plugin-import@^2.6.0 eslint-plugin-jsx-a11y@^5.1.1 eslint-plugin-react@^7.1.0

    With yarn

    yarn add eslint-config-react-app babel-eslint@^7.2.3 eslint@^4.1.1 eslint-plugin-flowtype@^2.34.1 eslint-plugin-import@^2.6.0 eslint-plugin-jsx-a11y@^5.1.1 eslint-plugin-react@^7.1.0 --dev

    Then create a file named .eslintrc with following contents in the root folder of your project:

    {
      "extends": "modyo"
    }

    That's it! You can override the settings from eslint-config-modyo by editing the .eslintrc file. Learn more about configuring ESLint on the ESLint website.

    Keywords

    none

    Install

    npm i @modyo/eslint-config-modyo

    DownloadsWeekly Downloads

    4

    Version

    2.0.1

    License

    ISC

    Unpacked Size

    4.92 kB

    Total Files

    7

    Last publish

    Collaborators

    • johannrp27
    • portega
    • giorgiosaud
    • rriveras
    • jsilvamodyo